Index: branches/PersistenceReintegration/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.4/CMAAnalyzer.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.4/CMAAnalyzer.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.4/CMAAnalyzer.cs	(revision 15018)
@@ -60,5 +60,5 @@
 
     [StorableConstructor]
-    private CMAAnalyzer(bool deserializing) : base(deserializing) { }
+    private CMAAnalyzer(StorableConstructorFlag deserializing) : base(deserializing) { }
     private CMAAnalyzer(CMAAnalyzer original, Cloner cloner) : base(original, cloner) { }
     public CMAAnalyzer()
Index: branches/PersistenceReintegration/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.4/CMAEvolutionStrategy.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.4/CMAEvolutionStrategy.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.4/CMAEvolutionStrategy.cs	(revision 15018)
@@ -224,5 +224,5 @@
 
     [StorableConstructor]
-    private CMAEvolutionStrategy(bool deserializing) : base(deserializing) { }
+    private CMAEvolutionStrategy(StorableConstructorFlag deserializing) : base(deserializing) { }
     private CMAEvolutionStrategy(CMAEvolutionStrategy original, Cloner cloner)
       : base(original, cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.4/CMAOperators/CMAEqualweightedRecombinator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.4/CMAOperators/CMAEqualweightedRecombinator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.4/CMAOperators/CMAEqualweightedRecombinator.cs	(revision 15018)
@@ -30,5 +30,5 @@
 
     [StorableConstructor]
-    protected CMAEqualweightedRecombinator(bool deserializing) : base(deserializing) { }
+    protected CMAEqualweightedRecombinator(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected CMAEqualweightedRecombinator(CMAEqualweightedRecombinator original, Cloner cloner) : base(original, cloner) { }
     public CMAEqualweightedRecombinator() : base() { }
Index: branches/PersistenceReintegration/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.4/CMAOperators/CMAInitializer.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.4/CMAOperators/CMAInitializer.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.4/CMAOperators/CMAInitializer.cs	(revision 15018)
@@ -79,5 +79,5 @@
 
     [StorableConstructor]
-    protected CMAInitializer(bool deserializing) : base(deserializing) { }
+    protected CMAInitializer(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected CMAInitializer(CMAInitializer original, Cloner cloner) : base(original, cloner) { }
     public CMAInitializer()
Index: branches/PersistenceReintegration/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.4/CMAOperators/CMALinearweightedRecombinator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.4/CMAOperators/CMALinearweightedRecombinator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.4/CMAOperators/CMALinearweightedRecombinator.cs	(revision 15018)
@@ -30,5 +30,5 @@
 
     [StorableConstructor]
-    protected CMALinearweightedRecombinator(bool deserializing) : base(deserializing) { }
+    protected CMALinearweightedRecombinator(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected CMALinearweightedRecombinator(CMALinearweightedRecombinator original, Cloner cloner) : base(original, cloner) { }
     public CMALinearweightedRecombinator() : base() { }
Index: branches/PersistenceReintegration/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.4/CMAOperators/CMALogweightedRecombinator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.4/CMAOperators/CMALogweightedRecombinator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.4/CMAOperators/CMALogweightedRecombinator.cs	(revision 15018)
@@ -32,5 +32,5 @@
 
     [StorableConstructor]
-    protected CMALogweightedRecombinator(bool deserializing) : base(deserializing) { }
+    protected CMALogweightedRecombinator(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected CMALogweightedRecombinator(CMALogweightedRecombinator original, Cloner cloner) : base(original, cloner) { }
     public CMALogweightedRecombinator() : base() { }
Index: branches/PersistenceReintegration/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.4/CMAOperators/CMAMutator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.4/CMAOperators/CMAMutator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.4/CMAOperators/CMAMutator.cs	(revision 15018)
@@ -83,5 +83,5 @@
 
     [StorableConstructor]
-    private CMAMutator(bool deserializing) : base(deserializing) { }
+    private CMAMutator(StorableConstructorFlag deserializing) : base(deserializing) { }
     private CMAMutator(CMAMutator original, Cloner cloner) : base(original, cloner) { }
     public CMAMutator()
Index: branches/PersistenceReintegration/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.4/CMAOperators/CMARecombinator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.4/CMAOperators/CMARecombinator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.4/CMAOperators/CMARecombinator.cs	(revision 15018)
@@ -56,5 +56,5 @@
 
     [StorableConstructor]
-    protected CMARecombinator(bool deserializing) : base(deserializing) { }
+    protected CMARecombinator(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected CMARecombinator(CMARecombinator original, Cloner cloner) : base(original, cloner) { }
     protected CMARecombinator()
Index: branches/PersistenceReintegration/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.4/CMAOperators/CMAUpdater.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.4/CMAOperators/CMAUpdater.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.4/CMAOperators/CMAUpdater.cs	(revision 15018)
@@ -79,5 +79,5 @@
 
     [StorableConstructor]
-    protected CMAUpdater(bool deserializing) : base(deserializing) { }
+    protected CMAUpdater(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected CMAUpdater(CMAUpdater original, Cloner cloner) : base(original, cloner) { }
     public CMAUpdater()
Index: branches/PersistenceReintegration/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.4/CMAParameters.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.4/CMAParameters.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.4/CMAParameters.cs	(revision 15018)
@@ -81,5 +81,5 @@
 
     [StorableConstructor]
-    private CMAParameters(bool deserializing) : base(deserializing) { }
+    private CMAParameters(StorableConstructorFlag deserializing) : base(deserializing) { }
     private CMAParameters(CMAParameters original, Cloner cloner)
       : base(original, cloner) {
Index: branches/PersistenceReintegration/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.4/Terminator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.4/Terminator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Algorithms.CMAEvolutionStrategy/3.4/Terminator.cs	(revision 15018)
@@ -109,5 +109,5 @@
 
     [StorableConstructor]
-    protected Terminator(bool deserializing) : base(deserializing) { }
+    protected Terminator(StorableConstructorFlag deserializing) : base(deserializing) { }
     protected Terminator(Terminator original, Cloner cloner)
       : base(original, cloner) { }
